<template>
  <div id='app'>
    <Header text="Maths Solving Tool"/>
    <div id="app__content">
      <div v-for='question in questions'>
        <QuestionBox :question='question.question' :title="question.title"/>
      </div>
      <Footer :text="'Background vector created by Creative_hat - www.freepik.com'"/>
    </div>
  </div>
</template>

<script lang='ts'>
  import {Component, Vue} from 'vue-property-decorator';
  import QuestionBox from './components/QuestionBox.vue';
  import Header from '@/components/Header.vue';
  import Footer from '@/components/Footer.vue';

  @Component({
    name: 'app',
    components: {
      Footer,
      Header,
      QuestionBox,
    },
    data: () => ({
      questions: [{
        question: 'x^2 + 5x + 5 = 24 ',
        title: 'Solve:',
      }, {question: 'x + 2x * 5 - 4 + 4x * 7x - 5 = 12 - 5 * 2x + 6x + 6 - 4', title: 'Simplify:'}],
      // ,['d/dx(3x^5)',2]], 'x^2 + 5x + 5 = 24 ' , '(5x+{7x^2+7} * 6x +4) + (4x^2*[4+7])*(3)'
    }),
  })
  export default class App extends Vue {
  }
</script>

<style lang='scss'>
  #app {
    font-family: 'Avenir', Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #2c3e50;
    z-index: -1;
    background: url('assets/background.jpg') repeat;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
  }

  p {
    white-space: pre-line;
  }

  #app__content {
    flex:1;
  }
</style>
